org.bdgenomics.adam.cli

# Vcf2ADAMArgs

#### class Vcf2ADAMArgs extends Args4jBase with ParquetSaveArgs

Linear Supertypes
ParquetSaveArgs, SaveArgs, ParquetArgs, ParquetRDDArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Vcf2ADAMArgs
2. ParquetSaveArgs
3. SaveArgs
4. ParquetArgs
5. ParquetRDDArgs
6. Args4jBase
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Vcf2ADAMArgs()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### var coalesce: Int

10. #### var compressionCodec: CompressionCodecName

    Definition Classes
      ParquetArgs → ParquetRDDArgs

11. #### var dictionaryFile: File

12. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ParquetRDDArgs

13. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### var forceShuffle: Boolean

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### var logLevel: String

    Definition Classes
      ParquetArgs

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### var onlyVariants: Boolean

26. #### var outputPath: String

    Definition Classes
      Vcf2ADAMArgs → SaveArgs

27. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

28. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### var vcfPath: String

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetSaveArgs

### Inherited from SaveArgs

### Inherited from ParquetArgs

### Inherited from ParquetRDDArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped